Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"4c8585c5-e0f2-4b7a-a784-8fc70f247761","userId":"9603f3ee-4ba8-4256-abe2-8fbc8e5286d7","userUrl":null,"type":"Angry","creationDateTime":"2026-10-16T08:04:00.5757808+00:00"},{"id":"e6863c5a-38bb-443e-b203-5415c847f7e7","userId":"58cc386b-41d4-4cb9-b306-470b43dcbe06","userUrl":null,"type":"Like","creationDateTime":"2026-10-16T08:04:00.5757808+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string